# Feature Importance

**Module:** `sovai.extensions.feature_importance`

## Functions

### `random_projection_importance()`

```python
def random_projection_importance(df_filled, n_components = 100)
```

***

### `fast_nonlinear_diverse_selector()`

```python
def fast_nonlinear_diverse_selector(df_valid, n_components = 100, gamma = 1.0)
```

***

### `fast_ica_selector()`

```python
def fast_ica_selector(df_filled, n_components = 20)
```

***

### `truncated_svd_selector()`

```python
def truncated_svd_selector(df_filled, n_components = 20)
```

***

### `sparse_random_projection_selector()`

```python
def sparse_random_projection_selector(df_returns, n_components = 30)
```

***

### `pca_varimax_selection()`

```python
def pca_varimax_selection(df_returns, k = 30, n_components = 50)
```

***

### `pca_varimax_rolling_stats()`

```python
def pca_varimax_rolling_stats(df_returns, k = 30, window = 30, n_components = 50)
```

***

### `diverse_stock_selector()`

```python
def diverse_stock_selector(df_returns, n_components = 30, n_clusters = 20)
```

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sov.ai/api-reference/extensions/feature-importance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
